---
title: Add Card
description: Add a prepaid card detail to the issuer database for a user.
---

A prepaid card is a card you can use to pay for things. You can add money to it and then you can use the card to spend up to that amount. This API is used for adding a card detail to database of the issuer who has issued the card for the user. We must pass entity id, card type, kit no, card no and card expiry in request. If the request has valid details, we will get a success response.

#### POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/add-card
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| content-type  required | string | the content type is | `application/x-www-form-urlencoded` |
| token  required | text<br>(`1-10`) | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | text | $string = $param.self::$secret_key;sha256(<concate all values+SECRET KEY>);(dynamic, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| entity_id  required | text  <br>(1-50) | The Customer Id registered with the system | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| card_type  required | text | Card type to be mentioned. (P – Physical , V- virtual) | `V,P` |
| kit_no  required | text  <br>(1-16) | Proxy card or kit number | `100000001236` |
| card_no  required | text  <br>(1-16) | 16 digit card number | `462294XXXXXX3713` |
| card_expiry  required | text  <br>(1-10) | Expiry Date of Card- 1 month to 25 years | `12/2022` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | numeric | airpay status | `400,200` |
| message  required | text | airpay status message | `Success,Fail` |
| data  required | json | {""}(required) |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/add-card' \
--header 'content-type: application/x-www-form-urlencoded' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'card_type=V' \
--data-urlencode 'card_no=462294XXXXXX3713' \
--data-urlencode 'kit_no=100000001236' \
--data-urlencode 'card_expiry=12/2022'
```

### Success Response

```json
{
    "status": 200,
    "message": "success",
    "data": []
}
```

### Error Response

```json
{
    "status": 400,
    "message": "fail"
}
```